﻿@using SSCMvc.Models;
@using SSCMvc.Webutil;
@model IEnumerable<SSCMvc.Models.Tb_EmployHist>

  @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
    
      string refadd = CommonUtil.HomeAddress(utype);
    }
<table class="table" style="width: 750px">
    <tr>
        <th>
            Sr.No.
        </th>
        <th>
            Position Held
        </th>
        <th style="width: 100px">
            From Date
        </th>
        <th style="width: 100px">
            To Date
        </th>
        <th>
            Company
        </th>
        <th>
            Job Responsibility
        </th>
        <th>
        </th>
    </tr>
    @{int i = 0;
      string bgcolor = "oddrow";
    }
    @foreach (var item in Model)
    {
        if (i % 2 == 0)
        {
            bgcolor = "evenrow";
        }
        else
        {
            bgcolor = "oddrow";
        }
        i++;
        <tr class="@bgcolor">
            <td>
                @Html.DisplayFor(modelItem => item.SrNo)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.PositionHeld)
            </td>
            <td>
            @{string fdate = string.Format("{0:dd MMM,yyyy}", item.Fdate);
                }
                @fdate
            </td>
            <td>
            @{
              string tdate = string.Format("{0:dd MMM,yyyy}", item.Tdate);
                }
                @tdate
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Company)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.JobResponsibility)
            </td>
            <td class="actionlinks">
                @{
              string myurl = Request.Url.ToString();

              if (myurl.Contains("Edit"))
              {
                    @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "EmplHistedit", new { id = item.Id, course = "Editpage" })
              }
              else
              {
                    @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "EmplHistedit", new { id = item.Id })
              }
                }

                 @{
        if (utype != null || Request.Cookies[CommonUtil.UserTypeSuperAdmin] != null)
        {
            string ckevlue = "Super Admin";

            if (utype == ckevlue)
            {
                @Html.ImageActionLink("../../Content/themes/base/images/Delete.png", "Delete", "DeleteEmpHist", "MaEnquiry", new { id = item.Id }, new { @class = "delete-link" }, null)
            }
        }
    }
            </td>
        </tr>
    }
</table>
<div id="delete-dialog" title="Confirmation">
    <p>
        Are You Sure you want to delete this
    </p>
</div>
